Bug 267292 - Some remote VCS tests constantly fail for 38 builds
Some remote VCS tests constantly fail for 38 builds
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote VCS
8.2
All All
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-25 12:23 UTC by Vladimir Kvashin
Modified: 2016-12-10 02:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-07-25 12:23:35 UTC
See reports at
....hudson/job/cnd-test-solaris.sparc/13572/testReport/

Here is the list of tests that fail:
org.netbeans.modules.subversion.remote.InterceptorCopyDOTest.copyFileTree_DO                         
org.netbeans.modules.subversion.remote.InterceptorCopyDOTest.copyVersionedFile2IgnoredFolder_DO      
org.netbeans.modules.subversion.remote.InterceptorCopyDOTest.copyVersionedFolder2UnversionedFolder_DO
org.netbeans.modules.subversion.remote.InterceptorCopyDOTest.copyVersionedFolder_DO                  
org.netbeans.modules.subversion.remote.InterceptorCopyFOTest.copyVersionedFile2IgnoredFolder_FO      
org.netbeans.modules.subversion.remote.InterceptorMoveDOTest.moveVersionedFile2IgnoredFolder_DO      
org.netbeans.modules.subversion.remote.InterceptorMoveDOTest.moveVersionedFolder_DO                  
org.netbeans.modules.subversion.remote.InterceptorMoveDOTest.moveFileTree_DO                         
org.netbeans.modules.subversion.remote.InterceptorMoveDOTest.moveVersionedFolder2Repos_DO            
org.netbeans.modules.subversion.remote.InterceptorMoveDOTest.moveFileTree2Repos_DO                   
org.netbeans.modules.subversion.remote.InterceptorMoveFOTest.moveVersionedFile2IgnoredFolder_FO      
org.netbeans.modules.subversion.remote.InterceptorMoveFOTest.moveVersionedFolder_FO                  
org.netbeans.modules.subversion.remote.InterceptorMoveFOTest.moveFileTree_FO                         
org.netbeans.modules.subversion.remote.InterceptorMoveFOTest.moveVersionedFolder2Repos_FO            
org.netbeans.modules.subversion.remote.InterceptorMoveFOTest.moveFileTree2Repos_FO                   
org.netbeans.modules.subversion.remote.InterceptorRenameDOTest.renameVersionedFolder_DO              
org.netbeans.modules.subversion.remote.InterceptorRenameDOTest.renameFileTree_DO                     
org.netbeans.modules.subversion.remote.InterceptorRenameFOTest.renameVersionedFolder_FO              
org.netbeans.modules.subversion.remote.InterceptorRenameFOTest.renameFileTree_FO                     
org.netbeans.modules.subversion.remote.InterceptorDeleteTest.deleteVersionedFileTree
Comment 1 Vladimir Kvashin 2016-07-25 12:32:55 UTC
I commented out tests that fail
http://hg.netbeans.org/cnd-main/rev/6d4039e2af1a
Comment 2 Quality Engineering 2016-08-02 01:58:53 UTC
Integrated into 'main-silver', will be available in build *201608020002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/6d4039e2af1a
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Commented out some tests due to #267292 - Some remote VCS tests constantly fail fro 38 builds
Comment 3 Quality Engineering 2016-12-03 03:03:59 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/7720279fbd78
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #267292 Some remote VCS tests constantly fail for 38 builds
- at first revert commit 6d4039e2af1a
(transplanted from 52ad8000b04bcccaf8257b0a96b26e03f2ffc267)
Comment 4 Vladimir Kvashin 2016-12-05 11:57:08 UTC
I don't think it's a real P2. 
I filed this in order to not forget about these tests.
Comment 5 Alexander Simon 2016-12-07 15:51:59 UTC
fixed.
Comment 6 Quality Engineering 2016-12-09 02:40:50 UTC
Integrated into 'main-silver', will be available in build *201612090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/0a9912260625
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #267292 Some remote VCS tests constantly fail for 38 builds
- comment tests that failed with git version 1.8.3.1
(transplanted from 5de5fa7a9717d05b787cc9597aed53e10ea8cea5)
Comment 7 Quality Engineering 2016-12-10 02:59:37 UTC
Integrated into 'main-silver', will be available in build *201612100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/0e6cc92ae004
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #267292 Some remote VCS tests constantly fail for 38 builds
- fix test for git version 1.8.3.1
(transplanted from c5cd8df9c22894f8681a4e74484c51307e6298e0)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo